# $Revision: 1.14 $, $Date: 2002/04/24 20:44:17 $
Summary:	DMAPI library
Summary(pl):	Biblioteka DMAPI
Name:		dmapi
Version:	2.0.0
Release:	3
License:	GPL
Group:		Libraries
Source0:	ftp://linux-xfs.sgi.com/projects/xfs/download/cmd_tars/%{name}-%{version}.src.tar.gz
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	autoconf
BuildRequires:	xfsprogs-devel >= 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DMAPI, or XDSM, is an implementation of the X/Open document: Systems
Management: Data Storage Management (XDSM) API dated February 1997.
This interface is made available for the XFS filesystem by means of
the libdm library.

See the XDSM manual at
http://www.opengroup.org/onlinepubs/9657099/toc.htm for a description
of the functions offered by libdm library.

%description -l pl
DMAPI (albo XDSM) to implementacja dokumentu X/Open "Systems
Management: Data Storage Management (XDSM) API) z lutego 1997. Ten
interfejs jest dostpny dla systemu plikw XFS poprzez bibliotek
libdm.

Opis funkcji oferowanych przez bibliotek libdm jest w podrczniku:
http://www.opengroup.org/onlinepubs/9657099/toc.htm

%package devel
Summary:	Header files for DMAPI library
Summary(pl):	Pliki nagwkowe biblioteki DMAPI
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	xfsprogs-devel

%description devel
Header files required to develop software which uses DMAPI.

%description devel -l pl
Pliki nagwkowe potrzebne do tworzenia oprogramowania uywajcego
DMAPI.

%package static
Summary:	Static DMAPI library
Summary(pl):	Statyczna biblioteka DMAPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of DMAPI library.

%description static -l pl
Statyczna wersja biblioteki DMAPI.

%prep
%setup  -q

%build
DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}"; export DEBUG
autoconf
%configure \
	OPTIMIZER="%{rpmcflags}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV

%{__make} install DIST_MANIFEST="$DIST_INSTALL"
%{__make} install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"

rm -f $RPM_BUILD_ROOT%{_libdir}/libdm.so
ln -sf /lib/libdm.so.0.0.1 $RPM_BUILD_ROOT%{_libdir}/libdm.so

gzip -9nf doc/CHANGES

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/*.gz
%attr(755,root,root) /lib/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/xfs/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dmapi.spec,v $
Revision 1.14  2002/04/24 20:44:17  qboosh
- pass opt CFLAGS, release 3

Revision 1.13  2002/04/15 10:55:44  qboosh
- changed base Group to Libraries
- -devel Requires: xfsprogs (dependency_libs = -lhandle)
- removed include/xfs dir from -devel (present in xfsprogs-devel)
- release 2

Revision 1.12  2002/04/10 22:55:19  baggins
- buildrequires xfsprogs-devel

Revision 1.11  2002/04/09 07:58:43  areq
- 2.0.0, STBR

Revision 1.10  2002/04/03 21:37:05  kloczek
- cosmetics.

Revision 1.9  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/03 18:12:40  baggins
- run ldconfig in %%post(un)

Revision 1.5  2002/01/02 18:44:05  baggins
- fixed wrong symlink

Revision 1.4  2001/10/11 12:32:53  qboosh
- adapterized, pl translations, BuildRequires: autoconf

Revision 1.3  2001/10/08 16:16:49  baggins
- shared lib fix

Revision 1.2  2001/10/08 15:59:02  baggins
- updated to 0.2.2

Revision 1.1  2001/06/01 13:24:50  baggins
- initial revision
